#
# BluePrint for creating EInterface & methods inside EInterface.
#

codegen.java.default_pattern.class.EInterface = "Default EInterface"
#codegen.java.default_pattern.member.Operation =
#\  if (!%container%->hasProperty("$interface"),
#\      "Default Operation",
#\       (if ( %container%->hasPropertyValue("$extends","ESService") ||
#\      %container%->hasPropertyValue("$extends","net.espeak.jesi.ESService"),
#\       "Default Operation in EInterface","Default Operation in Interface")))



#codegen.java.blueprint.class.Default EInterface =
#\  public interface %Name% extends net.espeak.jesi.ESService {
#\    public void test() throws net.espeak.infra.cci.exception.ESInvocationException;
#\  }
#codegen.java.blueprint.class.Default EInterface.property.defaultName = "EInterface1"
#codegen.java.blueprint.class.Default EInterface.property.hideInChooseList



#codegen.java.blueprint.member.Default Operation in EInterface =%Type% %Name%() throws net.espeak.infra.cci.exception.ESInvocationException;
#codegen.java.blueprint.member.Default Operation in EInterface.property.defaultName = "operation1"
#codegen.java.blueprint.member.Default Operation in EInterface.property.defaultType = "void"
#codegen.java.blueprint.member.Default Operation in EInterface.property.hideInChooseList

#
# Toolbar item for creating EInterface.
#

diagram.toolbar.button.ClassDiagram.EInterface = createNodeByPattern("DefaultFor:EInterface")
diagram.toolbar.button.ClassDiagram.EInterface.icon = "ESpeak/EInterface.gif"

#
# Popup menu items for EInterface, ESpeakClient & ESpeakServiceProvider classes.
# And also menu item for generating ESpeak classes for ordinary interface (asbtract class).
#

menu.item.element.Class.HP E-Speak=group
menu.item.element.Class.HP E-Speak.name = "HP E-Speak Integration"
menu.item.element.Class.HP E-Speak.item.Test HP ESClient.condition       = hasPropertyValue("stereotype", "ES Client")
menu.item.element.Class.HP E-Speak.item.Test HP ESClient                 = invokeScript("com.togethersoft.modules.espeak.InvokeMainMethod")
menu.item.element.Class.HP E-Speak.item.Test HP ESClient.name            = "Test HP-ES Client"

menu.item.element.Class.HP E-Speak.item.Register HP ESServices.condition = hasPropertyValue("stereotype", "ES Service Provider")
menu.item.element.Class.HP E-Speak.item.Register HP ESServices           = invokeScript("com.togethersoft.modules.espeak.InvokeMainMethod")
menu.item.element.Class.HP E-Speak.item.Register HP ESServices.name      = "Register HP-ES Service in Core"

menu.item.element.Class.HP E-Speak.item.Compile HP ESIDL.condition       = hasProperty("$interface") || hasProperty("$abstract")
menu.item.element.Class.HP E-Speak.item.Compile HP ESIDL                 =invokeScript("com.togethersoft.modules.espeak.ConvertToService")
menu.item.element.Class.HP E-Speak.item.Compile HP ESIDL.name            = "Generate HP-ES Classes"
